use std::io;

pub use dope_core::token::{Token as TokenInner, TokenEpoch, TokenSlot};

pub type Token = TokenInner<u8>;

pub(crate) struct Completion {
    pub(crate) result: io::Result<u32>,
    pub(crate) flags: u32,
}
